﻿using KB1164_XamDataGrid_ConditionalCellStyling.Infrastructure;
using KB1164_XamDataGrid_ConditionalCellStyling.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KB1164_XamDataGrid_ConditionalCellStyling
{
    public class MainWindowViewModel : ObservableObject
    {
        private ObservableCollection<Score> _scores;

        public ObservableCollection<Score> Scores
        {
            get { return _scores; }
            set { _scores = value; OnPropertyChanged(); }
        }

        public MainWindowViewModel()
        {
            _scores = new ObservableCollection<Score>();
            _scores.Add(new Score() { StudentName = "村山 亜衣", Japanese = 97, Math = 39, English = 62 });
            _scores.Add(new Score() { StudentName = "横井 麗奈", Japanese = 82, Math = 82, English = 17 });
            _scores.Add(new Score() { StudentName = "金谷 沙也香", Japanese = 67, Math = 50, English = 56 });
            _scores.Add(new Score() { StudentName = "湊 信二", Japanese = 90, Math = 88, English = 92 });
            _scores.Add(new Score() { StudentName = "木下 猛", Japanese = 57, Math = 20, English = 66 });
            _scores.Add(new Score() { StudentName = "丸山 治", Japanese = 69, Math = 70, English = 64 });
        }
    }
}
