﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace KB1164_XamDataGrid_ConditionalCellStyling
{
    public class ScoreToBrushConverter1 : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if(value != null)
            {
                // 渡されてきたvalueを整数値に変換する。
                int score = (int)value;
                // 値が40未満なら、ピンク色を返す
                if (score < 40) return new SolidColorBrush(Colors.Pink);
                // それ以外なら、白を返す
                else return new SolidColorBrush(Colors.White);
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
